# $Id: Makefile.in,v 1.4 2009/10/06 04:17:20 dick Exp $
# @configure_input@
#
# Makefile.in for Berzerk's program logproc
# ./LogProc/Makefile.in
#
# This directory contains the program logproc
#
# Copyright 2008 by Dick Balaska and BuckoSoft, Corp.  dick@buckosoft.com
#
# $Log: Makefile.in,v $

PROGNAME = exserver

SUBDIRS = 

CPPFILES = \
	connection_manager.cpp connection.cpp mime_types.cpp posix_main.cpp \
	reply.cpp request_handler.cpp request_parser.cpp server.cpp

DEPLIBS = 

CLEAN =

################################################################
TOP=@top_srcdir@

include @top_srcdir@/makeinclude

#XPCXXFLAGS = $(SERVERLIBINC) $(COMMONINC) $(FLTKWIDGETSINC)
XPCXXFLAGS = $(COMMONINC)
XPLDFLAGS =

OBJECTS = $(CPPFILES:.cpp=.o) $(CFILES:.c=.o)

all::	$(SUBDIRS) 
	@for dir in $(SUBDIRS); do\
		echo "=== making $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS)) || exit 1;\
	done

all::	$(PROGNAME) 

$(PROGNAME): $(OBJECTS) $(DEPLIBS)
	echo $(CXX) $@ ...
	$(CXX) -o $@ $(OBJECTS) $(XPLDFLAGS) $(LDFLAGS) $(LDLIBS)


clean :
	@for dir in $(SUBDIRS); do\
		echo "=== cleaning $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) clean) || exit 1;\
	done
	-@ rm -f *.o *.do $(PROGNAME) $(CLEAN) core *~ *.bak .depend cmap
	-@ touch .depend

distclean: clean
	@for dir in $(SUBDIRS); do\
		echo "=== distcleaning $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) distclean) || exit 1;\
	done
	-@ rm -f Makefile

depend:
	@for dir in $(SUBDIRS); do\
		echo "=== making dependencies in $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) depend) || exit 1;\
	done
	-@ makedepend $(OSFLAG) $(XPCXXFLAGS) $(FLTKINC) -f .depend $(CPPFILES) $(CFILES)

include .depend

################################################################

install:
	@echo Installing $(sbindir)/$(PROGNAME)
	cp -f -p $(PROGNAME) $(sbindir)
	chmod 555 $(sbindir)/$(PROGNAME)

#
# End of "$Id: Makefile.in,v 1.4 2009/10/06 04:17:20 dick Exp $".
#
